using System;
namespace SurfacePlot3D.Extensions
{
    public static partial class UniqueExtensions
    {
        public static bool Has<T>(this System.Enum type, T value)
        {
            try
            {
                if (type == null) return false; else return (((int)(object)type & (int)(object)value) == (int)(object)value);
            }
            catch
            {
                return false;
            }
        }
    }
}